using ComPDFKitViewer.AnnotEvent;
using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media.Imaging;

namespace PDF_Office.Model.AnnotPanel
{
    public class Stamp : BindableBase
    {
        private string stampText;

        public string StampText
        {
            get { return stampText; }
            set
            {
                SetProperty(ref stampText, value);
            }
        }

        private string sourcePath;

        public string SourcePath
        {
            get { return sourcePath; }
            set
            {
                SetProperty(ref sourcePath, value);
            }
        }

        private int maxWidth;

        public int MaxWidth
        {
            get { return maxWidth; }
            set
            {
                SetProperty(ref maxWidth, value);
            }
        }

        private int maxHeight;

        public int MaxHeight
        {
            get { return maxHeight; }
            set
            {
                SetProperty(ref maxHeight, value);
            }
        }

        private StampType type;

        public StampType Type
        {
            get { return type; }
            set
            {
                SetProperty(ref type, value);
            }
        }

        private string author;

        public string Author
        {
            get { return author; }
            set
            {
                SetProperty(ref author, value);
            }
        }
        private double opacity;

        public double Opacity
        {
            get { return opacity; }
            set
            {
                SetProperty(ref opacity, value);
            }
        }

        private BitmapSource imageSource;

        public BitmapSource ImageSource
        {
            get { return imageSource; }
            set
            {
                SetProperty(ref imageSource, value);
            }
        }

        private TextStampColor textColor;

        public TextStampColor TextColor
        {
            get { return textColor; }
            set
            {
                SetProperty(ref textColor, value);
            }
        }

        private string stampTextDate;

        public string StampTextDate
        {
            get { return stampTextDate; }
            set
            {
                SetProperty(ref stampTextDate, value);
            }
        }

        private TextStampSharp textSharp;

        public TextStampSharp TextSharp
        {
            get { return textSharp; }
            set
            {
                SetProperty(ref textSharp, value);
            }
        }

        private bool isCheckedDate;

        public bool IsCheckedDate
        {
            get { return isCheckedDate; }
            set
            {
                SetProperty(ref isCheckedDate, value);
            }
        }

        private bool isCheckedTime;

        public bool IsCheckedTime
        {
            get { return isCheckedTime; }
            set
            {
                SetProperty(ref isCheckedTime, value);
            }
        }

    }
}
